#!/usr/bin/env fish

set -q ZMK_DOCKER_IMAGE || set ZMK_DOCKER_IMAGE zmkfirmware/zmk-build-arm:2.5

docker run -it --rm \
	-v (pwd)/.cache:/zofle \
	-v (pwd)/config:/zofle/config:ro \
	-v (pwd)/build:/build \
	$ZMK_DOCKER_IMAGE sh -c 'cd /zofle
		west init -l config
		west update
		west zephyr-export
		echo "Building left"
		west build --pristine -s zmk/app -b nice_nano_v2 -- -DSHIELD=sofle_left -DZMK_CONFIG="/zofle/config"
		cp /zofle/build/zephyr/zmk.uf2 /build/sofle_left_nice_nano.uf2
		echo "Building right"
		west build --pristine -s zmk/app -b nice_nano_v2 -- -DSHIELD=sofle_right -DZMK_CONFIG="/zofle/config"
		cp /zofle/build/zephyr/zmk.uf2 /build/sofle_right_nice_nano.uf2'
